Browse Source

added eclipse p2 repo

Kenneth Lausdahl 4 years ago
parent
commit
240df82d27

+ 1 - 0
.gitignore

@@ -23,6 +23,7 @@ Thumbs.db
 .classpath
 .metadata
 .settings
+.recommenders
 
 ##
 bin/

+ 1 - 1
DSL_SemanticAdaptation/be.uantwerpen.ansymo.semanticadaptation.cg.cpp.tests/pom.xml

@@ -37,7 +37,7 @@
 					and install http://www.vogella.com/tutorials/EclipseTycho/article.html -->
 				<groupId>org.eclipse.tycho</groupId>
 				<artifactId>tycho-surefire-plugin</artifactId>
-				<version>${tycho-version}</version>
+				<version>${tycho.version}</version>
 				<configuration>
 					<useUIHarness>false</useUIHarness>
 					<useUIThread>false</useUIThread>

+ 1 - 1
DSL_SemanticAdaptation/be.uantwerpen.ansymo.semanticadaptation.tests/pom.xml

@@ -38,7 +38,7 @@
 				<!-- Remember that these tests only run in integration so between package and install http://www.vogella.com/tutorials/EclipseTycho/article.html -->
 				<groupId>org.eclipse.tycho</groupId>
 				<artifactId>tycho-surefire-plugin</artifactId>
-				<version>${tycho-version}</version>
+				<version>${tycho.version}</version>
 				<configuration>
 					<useUIHarness>false</useUIHarness>
 					<useUIThread>false</useUIThread>

+ 4 - 0
DSL_SemanticAdaptation/features/core/build.properties

@@ -0,0 +1,4 @@
+bin.includes = feature.xml,\
+               feature.properties,\
+               build.properties
+

+ 27 - 0
DSL_SemanticAdaptation/features/core/feature.properties

@@ -0,0 +1,27 @@
+description=The Semantics Adaptation is a standalone tool that can be used to wrap around existing FMUs to alter their behaviour or signal level.
+copyNotice=\
+Overture Platform\n\
+\n\
+Copyright (c) Overture contributors and others 2017.  All rights reserved.\n\
+Visit http://overture.sourceforge.net\n\
+\n\
+This offering is powered by Eclipse technology and includes\n\
+Eclipse plug-ins that can be installed and used with other\n\
+Eclipse (3.6)-based offerings.
+
+
+licenseURL=http://www.gnu.org/licenses/
+agreement=\
+\n\
+This program is free software: you can redistribute it and/or modify\n\
+it under the terms of the GNU General Public License as published by\n\
+the Free Software Foundation, either version 3 of the License, or\n\
+(at your option) any later version.\n\
+\n\
+This program is distributed in the hope that it will be useful,\n\
+but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
+GNU General Public License for more details.\n\
+\n\
+You should have received a copy of the GNU General Public License\n\
+along with this program.  If not, see <http://www.gnu.org/licenses/>.

+ 52 - 0
DSL_SemanticAdaptation/features/core/feature.xml

@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+      id="be.uantwerpen.ansymo.semanticadaptation.features.core"
+      label="Senamtics Adaptation for FMI"
+      version="1.0.0.qualifier">
+
+   <description>
+      %description
+   </description>
+
+   <copyright url="%copyURL">
+      %copyNotice
+   </copyright>
+
+   <license url="%licenseURL">
+      %agreement
+   </license>
+
+   <requires>
+      <import plugin="org.eclipse.xtext"/>
+      <import plugin="org.eclipse.xtext.xbase"/>
+      <import plugin="org.eclipse.equinox.common" version="3.5.0" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.emf.ecore"/>
+      <import plugin="org.eclipse.xtext.xbase.lib"/>
+      <import plugin="org.antlr.runtime"/>
+      <import plugin="org.eclipse.xtext.util"/>
+      <import plugin="org.eclipse.xtend.lib"/>
+      <import plugin="org.eclipse.emf.common"/>
+      <import plugin="org.apache.log4j"/>
+      <import plugin="org.junit" version="4.7.0" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.xtext.junit4"/>
+      <import plugin="org.eclipse.xtext.xbase.junit"/>
+      <import plugin="org.eclipse.jdt.core"/>
+      <import plugin="org.eclipse.xtext.testing"/>
+      <import plugin="org.eclipse.xtext.xbase.testing"/>
+   </requires>
+
+   <plugin
+         id="be.uantwerpen.ansymo.semanticadaptation"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
+   <plugin
+         id="be.uantwerpen.ansymo.semanticadaptation.cg.cpp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
+</feature>

+ 20 - 0
DSL_SemanticAdaptation/features/core/pom.xml

@@ -0,0 +1,20 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+
+  <parent>
+
+<groupId>be.uantwerpen.ansymo.semanticadaptation</groupId>
+  <artifactId>be.uantwerpen.ansymo.semanticadaptation.features</artifactId>
+
+    <version>1.0.0-SNAPSHOT</version>
+    <relativePath>../pom.xml</relativePath>
+  </parent>
+  
+  <packaging>eclipse-feature</packaging>
+
+  <groupId>be.uantwerpen.ansymo.semanticadaptation.features</groupId>
+  <artifactId>be.uantwerpen.ansymo.semanticadaptation.features.core</artifactId>
+  <name>Core</name>
+  
+</project>

+ 23 - 0
DSL_SemanticAdaptation/features/pom.xml

@@ -0,0 +1,23 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+
+  <parent>
+
+	<groupId>be.uantwerpen.ansymo.semanticadaptation</groupId>
+	<artifactId>parent</artifactId>
+    <version>1.0.0-SNAPSHOT</version>
+    <relativePath>../pom.xml</relativePath>
+  </parent>
+  
+  <packaging>pom</packaging>
+
+<groupId>be.uantwerpen.ansymo.semanticadaptation</groupId>
+  <artifactId>be.uantwerpen.ansymo.semanticadaptation.features</artifactId>
+  <name>Feature</name>
+  
+  <modules>
+   <module>core</module>
+  </modules>
+
+</project>

+ 388 - 69
DSL_SemanticAdaptation/pom.xml

@@ -7,6 +7,8 @@
 	<artifactId>parent</artifactId>
 	<version>1.0.0-SNAPSHOT</version>
 	<packaging>pom</packaging>
+	<name>Semantics Adaptation Root
+	</name>
 
 
 	<!-- the mavenization is based on this approach https://github.com/xtext/maven-xtext-example -->
@@ -16,21 +18,19 @@
 		<module>be.uantwerpen.ansymo.semanticadaptation.tests</module>
 		<module>be.uantwerpen.ansymo.semanticadaptation.ide</module>
 		<module>be.uantwerpen.ansymo.semanticadaptation.ui</module>
-	  <!--module>be.uantwerpen.ansymo.semanticadaptation.cg.cpp.lib</module-->
 		<module>be.uantwerpen.ansymo.semanticadaptation.cg.cpp</module>
 	  <module>be.uantwerpen.ansymo.semanticadaptation.cg.cpp.tests</module>
-		<!--module>../my.mavenized.herolanguage.ui</module>
-				<module>../my.mavenized.herolanguage.tests</module>
-				<module>../my.mavenized.herolanguage.sdk</module>
-				<module>../my.mavenized.herolanguage.updatesite</module-->
+ <module>features</module>
+ <module>repository</module>
 	</modules>
 
 	<properties>
-		<tycho-version>1.0.0</tycho-version>
+		
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 		<xtext.version>2.11.0</xtext.version>
 
 		<main.basedir>${project.basedir}</main.basedir>
+		<tycho.version>1.0.0</tycho.version>
 	</properties>
 
 	<repositories>
@@ -50,87 +50,406 @@
 		<!--repository>
 				<id>mvn</id>
 				<url>http://mvnrepository.com/artifact</url>
-			</repository-->
+				</repository-->
 
-		</repositories>
-		<build>
-			<pluginManagement>
-				<plugins>
+	</repositories>
+	<build>
+		<pluginManagement>
+			<plugins>
+
+				<!-- Enable JavaDoc but dont fail on error. This must be disabled for
+						 the Eclipse project in the IDE -->
+				<plugin>
+					<groupId>org.apache.maven.plugins</groupId>
+					<artifactId>maven-javadoc-plugin</artifactId>
+					<version>2.9</version>
+					<executions>
+						<execution>
+							<id>attach-javadocs</id>
+							<goals>
+								<goal>jar</goal>
+							</goals>
+						</execution>
+					</executions>
+					<configuration>
+						<failOnError>false</failOnError>
+						<quiet>true</quiet>
+					</configuration>
+				</plugin>
+
+				<!-- Configure the compiler for all Overture Projects -->
+				<plugin>
+					<groupId>org.apache.maven.plugins</groupId>
+					<artifactId>maven-compiler-plugin</artifactId>
+					<version>3.5.1</version>
+					<configuration>
+						<source>1.8</source>
+						<target>1.8</target>
+					</configuration>
+				</plugin>
+
+
+				<plugin>
+					<groupId>org.apache.maven.plugins</groupId>
+					<artifactId>maven-surefire-plugin</artifactId>
+					<version>2.13</version>
+					<configuration>
+					</configuration>
+				</plugin>
+
+
+				<!-- xtend-maven-plugin is in pluginManagement instead of in plugins 
+						 so that it doesn't run before the exec-maven-plugin's *.mwe2 gen; this way 
+						 we can list it after. -->
+
+				<plugin>
+					<groupId>org.eclipse.xtend</groupId>
+					<artifactId>xtend-maven-plugin</artifactId>
+					<version>${xtext.version}</version>
+					<executions>
+						<execution>
+							<goals>
+								<goal>compile</goal>
+								<goal>xtend-install-debug-info</goal>
+								<goal>testCompile</goal>
+								<goal>xtend-test-install-debug-info</goal>
+							</goals>
+						</execution>
+					</executions>
+					<configuration>
+
+						<xtendAsPrimaryDebugSource>true</xtendAsPrimaryDebugSource>
+						<!--outputDirectory>${project.build.directory}/xtend-gen/main</outputDirectory-->
+						<testOutputDirectory>${project.build.directory}/xtend-gen/test</testOutputDirectory>
+						<writeTraceFiles>true</writeTraceFiles>
+
+
+						<outputDirectory>xtend-gen</outputDirectory>
+					</configuration>
+				</plugin>
+				<plugin>
+					<groupId>org.apache.maven.plugins</groupId>
+					<artifactId>maven-clean-plugin</artifactId>
+					<version>2.5</version>
+					<executions>
+						<execution>
+							<id>gen-clean</id>
+							<goals>
+								<goal>clean</goal>
+							</goals>
+							<configuration>
+								<filesets>
+									<fileset>
+										<directory>${basedir}/xtend-gen</directory>
+									</fileset>
+								</filesets>
+							</configuration>
+						</execution>
+					</executions>
+				</plugin>
+
+
+				<plugin>
+					<groupId>org.eclipse.tycho</groupId>
+					<artifactId>tycho-maven-plugin</artifactId>
+					<version>${tycho.version}</version>
+				</plugin>
+				<plugin>
+					<groupId>org.eclipse.tycho</groupId>
+					<artifactId>target-platform-configuration</artifactId>
+					<version>${tycho.version}</version>
+				</plugin>
+				<plugin>
+					<groupId>org.eclipse.tycho</groupId>
+					<artifactId>tycho-p2-director-plugin</artifactId>
+					<version>${tycho.version}</version>
+				</plugin>
+				<plugin>
+					<groupId>org.eclipse.tycho</groupId>
+					<artifactId>tycho-packaging-plugin</artifactId>
+					<version>${tycho.version}</version>
+					<configuration>
+						<archive>
+							<addMavenDescriptor>false</addMavenDescriptor>
+						</archive>
+					</configuration>
+				</plugin>
+				<!-- Use the below to update the version numbers of the poms,
+						 manifests, and feature.xml files with the commandline:
+						 $ mvn -Dtycho.mode=maven tycho-versions:set-version -DnewVersion=2.0.2
+						 Don't commit the changes to the export-packages lines in
+						 the manifests, though.
+				-->
+				<plugin>
+					<groupId>org.eclipse.tycho</groupId>
+					<artifactId>tycho-versions-plugin</artifactId>
+					<version>${tycho.version}</version>
+				</plugin>
+
+				<plugin>
+					<groupId>org.eclipse.m2e</groupId>
+					<artifactId>lifecycle-mapping</artifactId>
+					<version>1.0.0</version>
+					<configuration>
+						<lifecycleMappingMetadata>
+							<pluginExecutions>
+								<pluginExecution>
+									<pluginExecutionFilter>
+										<groupId>org.apache.maven.plugins</groupId>
+										<artifactId>maven-dependency-plugin</artifactId>
+										<versionRange>[1.0.0,)</versionRange>
+										<goals>
+											<goal>copy-dependencies</goal>
+										</goals>
+									</pluginExecutionFilter>
+									<action>
+										<ignore />
+									</action>
+								</pluginExecution>
+							</pluginExecutions>
+						</lifecycleMappingMetadata>
+					</configuration>
+				</plugin>
+				
+			</plugins>
+		</pluginManagement>
 
-					<!-- Configure the compiler for all Overture Projects -->
+		<plugins>
+			<plugin>
+				<groupId>org.eclipse.tycho</groupId>
+				<artifactId>tycho-maven-plugin</artifactId>
+				<extensions>true</extensions>
+			</plugin>
+
+			<plugin>
+				<groupId>org.eclipse.tycho</groupId>
+				<artifactId>target-platform-configuration</artifactId>
+			</plugin>
+
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-javadoc-plugin</artifactId>
+				<configuration>
+					<skip>true</skip>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+
+
+
+	<profiles>
+		<!-- These next five profiles will autodetect which OS maven is
+				 being executed on and then build the matching version of
+				 Overture for that OS.	-jwc/23Jan2014
+		-->
+		<profile>
+			<id>win</id>
+			<activation>
+				<activeByDefault>false</activeByDefault>
+				<os>
+					<family>windows</family>
+					<arch>x86</arch>
+				</os>
+			</activation>
+			<build>
+				<plugins>
 					<plugin>
-						<groupId>org.apache.maven.plugins</groupId>
-						<artifactId>maven-compiler-plugin</artifactId>
-						<version>3.5.1</version>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
 						<configuration>
-							<source>1.8</source>
-							<target>1.8</target>
+							<environments>
+								<environment>
+									<os>win32</os>
+									<ws>win32</ws>
+									<arch>x86</arch>
+								</environment>
+							</environments>
 						</configuration>
 					</plugin>
+				</plugins>
+			</build>
+		</profile>
 
+		<profile>
+			<id>win64</id>
+			<activation>
+				<activeByDefault>false</activeByDefault>
+				<os>
+					<family>windows</family>
+					<arch>amd64</arch>
+				</os>
+			</activation>
+			<build>
+				<plugins>
+					<plugin>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
+						<configuration>
+							<environments>
+								<environment>
+									<os>win32</os>
+									<ws>win32</ws>
+									<arch>x86_64</arch>
+								</environment>
+							</environments>
+						</configuration>
+					</plugin>
+				</plugins>
+			</build>
+		</profile>
 
+		<profile>
+			<id>mac</id>
+			<activation>
+				<activeByDefault>false</activeByDefault>
+				<os>
+					<family>mac</family>
+				</os>
+			</activation>
+			<build>
+				<plugins>
+					<plugin>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
+						<configuration>
+							<environments>
+								<environment>
+									<os>macosx</os>
+									<ws>cocoa</ws>
+									<arch>x86_64</arch>
+								</environment>
+							</environments>
+						</configuration>
+					</plugin>
 
 
-
-					<!-- xtend-maven-plugin is in pluginManagement instead of in plugins 
-							 so that it doesn't run before the exec-maven-plugin's *.mwe2 gen; this way 
-							 we can list it after. -->
-
 					<plugin>
-						<groupId>org.eclipse.xtend</groupId>
-						<artifactId>xtend-maven-plugin</artifactId>
-						<version>${xtext.version}</version>
-						<executions>
-							<execution>
-								<goals>
-									<goal>compile</goal>
-									<goal>xtend-install-debug-info</goal>
-									<goal>testCompile</goal>
-									<goal>xtend-test-install-debug-info</goal>
-								</goals>
-							</execution>
-						</executions>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>tycho-p2-repository-plugin</artifactId>
+						<version>${tycho.version}</version>
 						<configuration>
+							<includeAllDependencies>true</includeAllDependencies>
+							<profileProperties>
+								<macosx-bundled>true</macosx-bundled>
+							</profileProperties>
+						</configuration>
+					</plugin>
 
-							<xtendAsPrimaryDebugSource>true</xtendAsPrimaryDebugSource>
-							<!--outputDirectory>${project.build.directory}/xtend-gen/main</outputDirectory-->
-							<testOutputDirectory>${project.build.directory}/xtend-gen/test</testOutputDirectory>
-							<writeTraceFiles>true</writeTraceFiles>
 
 
-							<outputDirectory>xtend-gen</outputDirectory>
+				</plugins>
+			</build>
+		</profile>
+
+		<profile>
+			<id>linux</id>
+			<activation>
+				<activeByDefault>false</activeByDefault>
+				<os>
+					<family>unix</family>
+					<name>linux</name>
+					<arch>x86</arch>
+				</os>
+			</activation>
+			<build>
+				<plugins>
+					<plugin>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
+						<configuration>
+							<environments>
+								<environment>
+									<os>linux</os>
+									<ws>gtk</ws>
+									<arch>x86</arch>
+								</environment>
+							</environments>
 						</configuration>
 					</plugin>
+				</plugins>
+			</build>
+		</profile>
+
+		<profile>
+			<id>linux64</id>
+			<activation>
+				<activeByDefault>false</activeByDefault>
+				<os>
+					<family>unix</family>
+					<name>linux</name>
+					<arch>amd64</arch>
+				</os>
+			</activation>
+			<build>
+				<plugins>
 					<plugin>
-						<groupId>org.apache.maven.plugins</groupId>
-						<artifactId>maven-clean-plugin</artifactId>
-						<version>2.5</version>
-						<executions>
-							<execution>
-								<id>gen-clean</id>
-								<goals>
-									<goal>clean</goal>
-								</goals>
-								<configuration>
-									<filesets>
-										<fileset>
-											<directory>${basedir}/xtend-gen</directory>
-										</fileset>
-									</filesets>
-								</configuration>
-							</execution>
-						</executions>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
+						<configuration>
+							<environments>
+								<environment>
+									<os>linux</os>
+									<ws>gtk</ws>
+									<arch>x86</arch>
+								</environment>
+								<environment>
+									<os>linux</os>
+									<ws>gtk</ws>
+									<arch>x86_64</arch>
+								</environment>
+							</environments>
+						</configuration>
 					</plugin>
 				</plugins>
-			</pluginManagement>
+			</build>
+		</profile>
 
-			<plugins>
-				<plugin>
-					<groupId>org.eclipse.tycho</groupId>
-					<artifactId>tycho-maven-plugin</artifactId>
-					<version>${tycho-version}</version>
-					<extensions>true</extensions>
-				</plugin>
-			</plugins>
-		</build>
-	</project>
+		<!-- Use this profile to build Overture for all platforms, but you
+				 may need to add -P\!linux (or whichever os) to disable the
+				 autodetected profile (per above), otherwise the autodetected
+				 profile may take precedence over the command-line specified
+				 profile.	 -jwc/23Jan2014
+		-->
+		<profile>
+			<id>all-platforms</id>
+			<build>
+				<plugins>
+					<plugin>
+						<groupId>org.eclipse.tycho</groupId>
+						<artifactId>target-platform-configuration</artifactId>
+						<configuration>
+							<environments>
+								<environment>
+									<os>win32</os>
+									<ws>win32</ws>
+									<arch>x86</arch>
+								</environment>
+								<environment>
+									<os>win32</os>
+									<ws>win32</ws>
+									<arch>x86_64</arch>
+								</environment>
+								<environment>
+									<os>linux</os>
+									<ws>gtk</ws>
+									<arch>x86</arch>
+								</environment>
+								<environment>
+									<os>linux</os>
+									<ws>gtk</ws>
+									<arch>x86_64</arch>
+								</environment>
+								<environment>
+									<os>macosx</os>
+									<ws>cocoa</ws>
+									<arch>x86_64</arch>
+								</environment>
+							</environments>
+						</configuration>
+					</plugin>
+				</plugins>
+			</build>
+		</profile>
+	</profiles>
+</project>

+ 7 - 0
DSL_SemanticAdaptation/repository/category.xml

@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<site>
+   <feature url="features/be.uantwerpen.ansymo.semanticadaptation.features.core_1.0.0.qualifier.jar" id="be.uantwerpen.ansymo.semanticadaptation.features.core" version="1.0.0.qualifier">
+      <category name="be.uantwerpen.ansymo.semanticadaptation.id"/>
+   </feature>
+   <category-def name="be.uantwerpen.ansymo.semanticadaptation.id" label="Semantics Adaptation for FMI"/>
+</site>

+ 33 - 0
DSL_SemanticAdaptation/repository/pom.xml

@@ -0,0 +1,33 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+
+ <parent>
+
+  <groupId>be.uantwerpen.ansymo.semanticadaptation</groupId>
+  <artifactId>parent</artifactId>
+    <version>1.0.0-SNAPSHOT</version>
+    <relativePath>../pom.xml</relativePath>
+  </parent>
+
+  
+  <packaging>eclipse-repository</packaging>
+
+  <groupId>be.uantwerpen.ansymo.semanticadaptation</groupId>
+  <artifactId>be.uantwerpen.ansymo.semanticadaptation.repository</artifactId>
+  <name>Semantics Adaptation IDE Eclipse repository</name>
+  
+<build>
+   <plugins>
+      <plugin>
+         <groupId>org.eclipse.tycho</groupId>
+         <artifactId>tycho-p2-repository-plugin</artifactId>
+         <version>${tycho.version}</version>
+         <configuration>
+            <includeAllDependencies>true</includeAllDependencies>
+         </configuration>
+      </plugin>
+   </plugins>
+</build>
+
+</project>